//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Saver2U.h"
#include "Choice2U.h"
#include <TypInfo.hpp>
#include "RTTIUnit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Button1Click(TObject *Sender)
{
  if (ChoiceForm->ShowModal() != mrCancel)
  {
    PPropInfo PropInfo =
      GetPropInfo((PTypeInfo)ClassInfo(), "BorderStyle");
    BorderStyle = TFormBorderStyle(GetEnumValue(*(PropInfo->PropType),
      ChoiceForm->ListBox1->Items->Strings[ChoiceForm->ListBox1->ItemIndex]));
  }
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::Button2Click(TObject *Sender)
{
  if (ColorDialog1->Execute())
    Color = ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TMainForm::FormCreate(TObject *Sender)
{
  ReadProp(this, "BorderStyle");
  ReadProp(this, "Color");
  ReadProp(this, "Top");
  ReadProp(this, "Left");
  ReadProp(this, "Height");
  ReadProp(this, "Width");
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::FormDestroy(TObject *Sender)
{
  WriteProp(this, "BorderStyle");
  WriteProp(this, "Color");
  WriteProp(this, "Top");
  WriteProp(this, "Left");
  WriteProp(this, "Height");
  WriteProp(this, "Width");
}
//---------------------------------------------------------------------------

